body{
	display: flex;
	flex-wrap: wrap;

	margin: 0;
}

header{
	height: var(--height-header);
	width: 100vw;

	display: flex;
	align-items: center;
	box-sizing: border-box;

	background-color: var(--palheta-cor-1);
}
header .menu::before{
	height: var(--height-header);
	width: var(--height-header);
	line-height: 100%;

	display: flex;
	align-items: center;
	justify-content: center;

	color: var(--palheta-cor-5);
	cursor: pointer;

	font-size: 330%;
	font-weight: 900;

	content: "≡";
}
header .menu:hover::before{
	color: var(--palheta-cor-2);
}
header .logo{
	height: calc(var(--height-header) * 0.67);
	width: calc(var(--height-header) * 3);

	object-fit: contain;

	background-color: var(--palheta-cor-1);

	border-top: calc(var(--margin-menu) / 2) solid var(--palheta-cor-1);
	border-bottom: calc(var(--margin-menu) / 2) solid var(--palheta-cor-1);
	border-left: var(--margin-menu) solid var(--palheta-cor-1);
}

#menu{
	height: calc(100vh - var(--height-header) - var(--height-footer));
	width: var(--width-menu);

	display: none;

	background-color: var(--palheta-cor-6);
}
#menu .lista{
	height: var(--height-lista);

	display: flex;
	align-items: center;

	cursor: pointer;
	user-select: none;

	background-color: var(--palheta-cor-6);
	border-bottom: 1px solid var(--palheta-cor-3);
	color: var(--palheta-cor-3);
}
#menu .lista:hover{
	background-color: var(--palheta-cor-1);
	color: var(--palheta-cor-2);
}
#menu .lista .icone{
	line-height: var(--height-lista);
	width: var(--height-lista);
	margin-right: 5px;

	font-size: calc(var(--height-lista) / 2);
	text-align: center;
}
#menu .lista .texto{
	font-family: sans-serif;
	font-weight: bold;
}

#content{
	height: calc(100vh - var(--height-header) - var(--height-footer));
	width: 100vw;

	background-color: var(--palheta-cor-3);

	border: none;
}

footer{
	height: var(--height-footer);
	width: 100vw;

	background-color: var(--palheta-cor-1);
}

#switch{
	display: none;
}
#switch:checked ~ header .menu::before{
	font-size: 200%;
	font-weight: 100;

	content: "✖";

	background-color: var(--palheta-cor-6);
}
#switch:checked ~ header .logo{
	background-color: var(--palheta-cor-6);

	border-top-color: var(--palheta-cor-6);
	border-bottom-color: var(--palheta-cor-6);
	border-left-color: var(--palheta-cor-6);
}
#switch:checked ~ #menu{
	display: block;
}
#switch:checked ~ #content{
	width: var(--width-content);
}
